// DlgThemeColor.h: interface for the CDlgThemeColor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DLGTHEMECOLOR_H__49A3D4CB_BDDF_4ABB_80A2_C0E414105E74__INCLUDED_)
#define AFX_DLGTHEMECOLOR_H__49A3D4CB_BDDF_4ABB_80A2_C0E414105E74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DlgButtonColor.h"
#include "DlgPlaylist.h"
#include "definition.h"

class CDlgThemeColor : public CDlgButtonColor  
{
private:
	THEMECOLORSTRUCT* m_pTheme;		// theme
	CDlgPlaylist *m_pThisPlaylist;

public:
	CDlgThemeColor(CDlgPlaylist *m_pThis);
	virtual ~CDlgThemeColor();

	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	BOOL  LoadParam();
	BOOL  SaveParam();
	void InitLanguage();
	void doChangeStyle();

protected:
	virtual	COLORREF GetColorButton(int i);	
	virtual void SetColorButton(int i, COLORREF cColorNew);
};

#endif // !defined(AFX_DLGTHEMECOLOR_H__49A3D4CB_BDDF_4ABB_80A2_C0E414105E74__INCLUDED_)
