// Taginfo.h: interface for the CTaginfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TAGINFO_H__2A6DE3F5_4714_4999_9A99_765A9914F3B4__INCLUDED_)
#define AFX_TAGINFO_H__2A6DE3F5_4714_4999_9A99_765A9914F3B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mp3info/MP3Info.h"
#include "mp3info/MP3MultiInfo.h"

class CTaginfo  
{
public:
	CTaginfo(int type_info);
	virtual ~CTaginfo();


	int  getTypeInfo() { return m_type_info; };
	void setTypeInfo(int type_info) {  m_type_info = type_info; };

	void GetFrameInfo(CMP3Info *mp3i, int fid, tstring &str);
	void GetFrameInfoID3v1(CMP3Info *mp3i, int fid, tstring &str);
	void GetFrameInfoID3v2(CMP3Info *mp3i, int fid, tstring &str);

private:
	int m_type_info;

};

#endif // !defined(AFX_TAGINFO_H__2A6DE3F5_4714_4999_9A99_765A9914F3B4__INCLUDED_)
