// settings.h
#ifndef _SETTING_H
#define _SETTING_H


class CSetting
{
/*** Attributes ***/
private:
	TCHAR m_szIniFile[MAX_PATH];

/*** Methods ***/
public:
	CSetting();	
	~CSetting();
	void Init();
	bool Save();
	bool Load();
	void ResetHTML();
	void ResetThemeColor();
	void ResetColumn();
	void ResetID3Tools();	
	void ResetOption();
	void DefaultColumnName();
	void UpdateThemeWindowColor();

private:
	void SetInifile();
	void Default();
};


#endif




