// FileDir.h: interface for the CFileDir class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEDIR_H__299EB452_716E_4A8F_943C_6E1AA9568445__INCLUDED_)
#define AFX_FILEDIR_H__299EB452_716E_4A8F_943C_6E1AA9568445__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFileDir  
{
public:
	string m_filename;
	string m_out;

	TCHAR *m_szpath_buffer;
    TCHAR *m_szdrive;
    TCHAR *m_szdir;
    TCHAR *m_szfname;
    TCHAR *m_szext;
	
public:
	CFileDir();
	CFileDir(tstring &filename);
	CFileDir(LPCTSTR pszName);
	virtual ~CFileDir();

	BOOL ChooseDirectoryBrowser(HWND hDlg, TCHAR *szDir, TCHAR *szTitle=NULL, BOOL bRecursive= FALSE);

	void SetFilename(tstring &filename)		{ m_filename = filename; };
	void SetCFilename(LPCTSTR pszName)		{ m_filename = pszName; };
	

	BOOL FileExists(); 
	BOOL FileExists(LPCTSTR pszName)		{ m_filename = pszName;  return FileExists(); };
	BOOL DirectoryExists(TCHAR *szName);

	BOOL IsMP3File();
	BOOL IsMP3File(LPCTSTR pszName)			{ m_filename = pszName;  return IsMP3File(); };

	tstring GetFullFilename()				{ return m_filename; };
	TCHAR*  GetCFullFilename() { return (TCHAR*)m_filename.c_str(); };


	tstring GetFilename();
	tstring GetFullFilenameNoExt();
	tstring GetShortFilename();
	tstring GetPath();	
	tstring GetDrive();	
	tstring GetExtension();
	tstring GetDirectory();
	
	tstring GetFilename(tstring &f)			{	m_filename = f;	return GetFilename(); }
	tstring GetFullFilenameNoExt(tstring &f){	m_filename = f;	return GetFullFilenameNoExt(); }
	tstring GetShortFilename(tstring &f)	{	m_filename = f;	return GetShortFilename(); }
	tstring GetPath(tstring &f)				{	m_filename = f;	return GetPath(); }
	tstring GetDrive(tstring &f)			{	m_filename = f;	return GetDrive(); }
	tstring GetDirectory(tstring &f)		{	m_filename = f;	return GetDirectory(); }
	tstring GetExtension(tstring &f)		{	m_filename = f;	return GetExtension(); }

	tstring MakeName(TCHAR *szDir, TCHAR *szFilename);

	tstring ModifyPath(TCHAR *szDir);
	tstring ModifyPath(string &f, TCHAR *szDir)			{	m_filename = f;	return ModifyPath(szDir); }
	tstring ModifyName(TCHAR *szFilename);
	tstring ModifyName(string &f, TCHAR *szFilename)	{	m_filename = f;	return ModifyName(szFilename); }

	BOOL MakeFullDir(TCHAR *szDir);
	

private:
	void Split();
	void Init();
	tstring AddTerminalSlash(TCHAR* szPath);
};

#endif // !defined(AFX_FILEDIR_H__299EB452_716E_4A8F_943C_6E1AA9568445__INCLUDED_)
